temporary rc.d patch for nfs

YONETANI Tomokazu qhwt at myrealbox.com
Wed Nov 19 03:35:25 PST 2003


Hello.
Maybe we need this unless/until we split nfs kernel module
into nfsserver and nfsclient. (and of course if nfs code is
not compiled into your kernel).
Index: etc/rc.d/mountcritremote
===================================================================
RCS file: /home/source/dragonfly/cvs/src/etc/rc.d/mountcritremote,v
retrieving revision 1.1
diff -u -r1.1 mountcritremote
--- etc/rc.d/mountcritremote	24 Jul 2003 06:35:37 -0000	1.1
+++ etc/rc.d/mountcritremote	19 Nov 2003 11:28:58 -0000
@@ -41,7 +41,7 @@
 	*mount_nfs*)
 		# Handle absent nfs client support
 		if ! sysctl vfs.nfs >/dev/null 2>&1; then
-			kldload nfsclient || warn 'nfs mount ' \
+			kldload nfs || warn 'nfs mount ' \
 			    'requested, but no nfs client in kernel' \
 			return 1
 		fi
Index: etc/rc.d/nfsclient
===================================================================
RCS file: /home/source/dragonfly/cvs/src/etc/rc.d/nfsclient,v
retrieving revision 1.2
diff -u -r1.2 nfsclient
--- etc/rc.d/nfsclient	9 Nov 2003 07:31:27 -0000	1.2
+++ etc/rc.d/nfsclient	19 Nov 2003 11:28:42 -0000
@@ -20,8 +20,8 @@
 nfsclient_precmd()
 {
 	if ! sysctl vfs.nfs >/dev/null 2>&1; then
-		if ! kldload nfsclient; then
-			warn 'Could not load nfs client module'
+		if ! kldload nfs; then
+			warn 'Could not load nfs module'
 			return 1
 		fi
 	fi
Index: etc/rc.d/nfsserver
===================================================================
RCS file: /home/source/dragonfly/cvs/src/etc/rc.d/nfsserver,v
retrieving revision 1.1
diff -u -r1.1 nfsserver
--- etc/rc.d/nfsserver	24 Jul 2003 06:35:37 -0000	1.1
+++ etc/rc.d/nfsserver	19 Nov 2003 11:28:05 -0000
@@ -18,9 +18,9 @@
 # Load nfs modules if they were not compiled into the kernel
 nfsserver_start()
 {
-	if ! sysctl vfs.nfsrv >/dev/null 2>&1; then
-		if ! kldload nfsserver; then
-			warn 'Could not load NFS server module'
+	if ! sysctl vfs.nfs >/dev/null 2>&1; then
+		if ! kldload nfs; then
+			warn 'Could not load NFS module'
 			return 1
 		fi
 	fi




More information about the Submit mailing list